org.apache.ignite.cache

## Class CachingProvider

- java.lang.Object
- - org.apache.ignite.cache.CachingProvider

- All Implemented Interfaces:
    Closeable, AutoCloseable, javax.cache.spi.CachingProvider

      public class CachingProvider
      extends Object
      implements javax.cache.spi.CachingProvider

  Implementation of JSR-107 `CachingProvider`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Properties` | `DFLT_PROPS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachingProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `close(ClassLoader clsLdr)`
    `void` | `close(URI uri, ClassLoader clsLdr)`
    `javax.cache.CacheManager` | `findManager(Ignite ignite)`
    `javax.cache.CacheManager` | `getCacheManager()`
    `javax.cache.CacheManager` | `getCacheManager(URI uri, ClassLoader clsLdr)`
    `javax.cache.CacheManager` | `getCacheManager(@Nullable URI uri, ClassLoader clsLdr, Properties props)`
    `ClassLoader` | `getDefaultClassLoader()`
    `Properties` | `getDefaultProperties()`
    `URI` | `getDefaultURI()`
    `boolean` | `isSupported(javax.cache.configuration.OptionalFeature optionalFeature)`
    `protected void` | `removeClosedManager(CacheManager mgr)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DFLT_PROPS

          public static final Properties DFLT_PROPS

  - ### Constructor Detail

    - #### CachingProvider

          public CachingProvider()

  - ### Method Detail

    - #### getCacheManager

          public javax.cache.CacheManager getCacheManager(@Nullable
                                                          @Nullable URI uri,
                                                          ClassLoader clsLdr,
                                                          Properties props)
                                                   throws javax.cache.CacheException

      Specified by:
        `getCacheManager` in interface `javax.cache.spi.CachingProvider`
      Throws:
        `javax.cache.CacheException`

    - #### getDefaultClassLoader

          public ClassLoader getDefaultClassLoader()

      Specified by:
        `getDefaultClassLoader` in interface `javax.cache.spi.CachingProvider`

    - #### getDefaultURI

          public URI getDefaultURI()

      Specified by:
        `getDefaultURI` in interface `javax.cache.spi.CachingProvider`

    - #### getDefaultProperties

          public Properties getDefaultProperties()

      Specified by:
        `getDefaultProperties` in interface `javax.cache.spi.CachingProvider`

    - #### getCacheManager

          public javax.cache.CacheManager getCacheManager(URI uri,
                                                          ClassLoader clsLdr)

      Specified by:
        `getCacheManager` in interface `javax.cache.spi.CachingProvider`

    - #### getCacheManager

          public javax.cache.CacheManager getCacheManager()

      Specified by:
        `getCacheManager` in interface `javax.cache.spi.CachingProvider`

    - #### findManager

          public javax.cache.CacheManager findManager(Ignite ignite)

      Parameters:
        `ignite` - Ignite.
      Returns:
        Cache manager implementation.

    - #### close

          public void close()

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `javax.cache.spi.CachingProvider`

    - #### close

          public void close(ClassLoader clsLdr)

      Specified by:
        `close` in interface `javax.cache.spi.CachingProvider`

    - #### removeClosedManager

          protected void removeClosedManager(CacheManager mgr)

      Parameters:
        `mgr` - Manager.

    - #### close

          public void close(URI uri,
                            ClassLoader clsLdr)

      Specified by:
        `close` in interface `javax.cache.spi.CachingProvider`

    - #### isSupported

          public boolean isSupported(javax.cache.configuration.OptionalFeature optionalFeature)

      Specified by:
        `isSupported` in interface `javax.cache.spi.CachingProvider`

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022